Subject: [alpine-devel] [PATCH 2/2] testing/supertuxkart: new aport

From: Jeff Bilyk <[email-masked]>
Date: Thu, 17 Mar 2011 06:01:06 +0000

---
 testing/supertuxkart/APKBUILD |   44 +++++++++++++++++++++++++++++++++++++++++
 1 files changed, 44 insertions(+), 0 deletions(-)
 create mode 100644 testing/supertuxkart/APKBUILD

diff --git a/testing/supertuxkart/APKBUILD b/testing/supertuxkart/APKBUILD
new file mode 100644
index 0000000..28fb19f
--- /dev/null
+++ b/testing/supertuxkart/APKBUILD
@@ -0,0 +1,44 @@
+# Contributor: Jeff Bilyk <[email-masked]>
+# Maintainer:
+pkgname=supertuxkart
+pkgver=0.7
+pkgrel=0
+pkgdesc="Kart racing game"
+url="http://supertuxkart.sourceforge.net"
+arch="x86 x86_64"
+license="GPL"
+depends="irrlicht"
+depends_dev="irrlicht libvorbis-dev libogg-dev openal-soft-dev mesa-dev jpeg-dev gettext-dev"
+makedepends="$depends_dev"
+install=""
+source="http://downloads.sourceforge.net/project/supertuxkart/SuperTuxKart/0.7/supertuxkart-$pkgver-src.tar.bz2"
+
+_builddir="$srcdir"/supertuxkart-0.7
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure --prefix=/usr \
+		--datadir=/usr/share \
+		--with-irrlicht=/usr/include/irrlicht \
+		|| return 1
+	# Borrowed these from Arch pkgbuild
+	sed -i "s#/usr/local#/usr#" src/io/file_manager.cpp
+	sed -i "s#/games##" $(grep -R1 "/games" *)
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="2806f271e4d37fee5ad8ca166e1ad489  supertuxkart-0.7-src.tar.bz2"
-- 
1.7.4.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---